// SyntheticSpectrumModel.h
// needs the following protocol access classes:
// - time (from ancillary data)
// - context spectrum <templated>



class ReferenceDataAccess
{
public:
    virtual const CoefficientSpectrum &slope() = 0;
    virtual const CoefficientSpectrum &intercept() = 0;
};


class InputDeliveryAccess
{
public:
    virtual MeasurementTime_t time() = 0;
};


class OutputDeliveryAccess
{
public:
    virtual SyntheticSpectrum &landingPointSynthesizedSpectrum() = 0;
};


class LinearFitSpectrumSynthesizer
{
public:
    LinearFitSpectrumSynthesizer( InputDeliveryAccess &,
                                  OutputDeliveryAccess &,
                                  MonitoringServiceAccess &,
                                  ReferenceDataAccess & );
    ~LinearFitSpectrumSynthesizer();
    void operator()( void );
};


